<< Back to man.ChinaUnix.net

附录 D. 从 PHP/FI 2 移植到 PHP 3

目录
关于 PHP 3.0 的不兼容性
old_function
开始/结束标记
if..endif 语法
while 语法
表达式类型
错误消息已经改变
布尔值的快速计算
函数 TRUE/FALSE 返回值
其它不兼容

关于 PHP 3.0 的不兼容性

PHP 3.0 从底层重写了代码。它有着比 2.0 更健壮和统一的解析器。3.0 也更快、占用更少的内存。但是,这些改进难以避免兼容性的削弱,包括语法和功能上兼容性的削弱。

另外,PHP 的开发者尝试在版本 3.0 中使得 PHP 的语法和语义更加简洁,这也导致了一些不兼容。最后,我们相信这些改变是值得的。

本章将会指导你认识从 PHP/FI 2.0 到 PHP 3.0 升级所带来的的障碍并帮助你解决它。这里没有提到 3.0 的新功能,除非必要。

一个转换程序可以帮助您自动转换旧有的 PHP/FI 2.0 脚本。这个程序可以在 PHP 3.0 发布包中的 convertor 子目录中找到。可是,该程序只能转换语法的改变,因此,您仍然需要仔细阅读下面的部分。